Page MenuHomePhabricator

[AArch64] Add extra reverse costs.
ClosedPublic

Authored by dmgreen on May 2 2022, 10:53 AM.

Details

Summary

This adds some extra costs for reverse shuffles under AArch64, filling in the i16/f16/i8 gaps in the cost model.

Diff Detail

Event Timeline

dmgreen created this revision.May 2 2022, 10:53 AM
Herald added a project: Restricted Project. · View Herald TranscriptMay 2 2022, 10:53 AM
dmgreen requested review of this revision.May 2 2022, 10:53 AM
Herald added a project: Restricted Project. · View Herald TranscriptMay 2 2022, 10:53 AM
samtebbs accepted this revision.May 3 2022, 8:15 AM

LGTM

Out of interest, do you have any benchmark results to show how these new costs improves things?

This revision is now accepted and ready to land.May 3 2022, 8:15 AM

LGTM

Out of interest, do you have any benchmark results to show how these new costs improves things?

Thanks. I only noticed this from an issue in the cost of a reversed interleaving group from D124612. It stopped that patch making things worse.

This revision was landed with ongoing or failed builds.May 6 2022, 10:23 AM
This revision was automatically updated to reflect the committed changes.